searchNodes=[{"doc":"A SPARQL protocol client. The SPARQL Protocol defines how the operations specified in the SPARQL query and update specs can be requested by a client from a SPARQL service via HTTP. This modules provides dedicated functions for the various forms of SPARQL query and update operations and generic query/3 and update/3 for the query and update operations. For a general introduction you may refer to the guides on the homepage . Raw-mode The query functions can be called with a SPARQL.Query struct or a SPARQL query as a raw string. By default, a SPARQL query string will be parsed into a SPARQL.Query struct for validation purposes before the string is send via an HTTP request to the SPARQL protocol service endpoint. This parsing step can be omitted by setting :raw_mode option to true on the dedicated functions for the various SPARQL operation forms. &quot;SELECT * { ?s ?p ?o .}&quot; |&gt; SPARQL.Client . select ( &quot;http://example.com/sparql&quot; , raw_mode : true ) On the generic SPARQL.Client.query/3 this raw-mode is not supported, since the parsing is needed there to determine the query form which determines which result to expect. For SPARQL update operations the picture is a little different. The SPARQL.ex package doesn't provide parsing of SPARQL updates (yet), but except for INSERT and DELETE updates this isn't actually needed, since all elements of the updates can be provided directly to the respective functions for the update forms, which will generate valid SPARQL updates. RDF.Graph . new ( { EX.S , EX . p , EX.O } ) |&gt; SPARQL.Client . insert_data ( &quot;http://example.com/sparql&quot; ) You can still provide hand-written update strings to these functions, but due to the lack of SPARQL update parsing the raw-mode is mandatory then. For the INSERT and DELETE update forms this the only way to request them for now. &quot;&quot;&quot; PREFIX dc: &lt;http://purl.org/dc/elements/1.1/&gt; PREFIX xsd: &lt;http://www.w3.org/2001/XMLSchema#&gt; INSERT { GRAPH &lt;http://example/bookStore2&gt; { ?book ?p ?v } } WHERE { GRAPH &lt;http://example/bookStore&gt; { ?book dc:date ?date . FILTER ( ?date &gt; &quot;1970-01-01T00:00:00-02:00&quot;^^xsd:dateTime ) ?book ?p ?v } } &quot;&quot;&quot; |&gt; SPARQL.Client . insert ( &quot;http://example.com/sparql&quot; , raw_mode : true ) Specifying custom headers Custom headers for the HTTP request to the SPARQL service can be specified with the headers option and a map. SPARQL.Client . query ( query , &quot;http://some.company.org/private/sparql&quot; , headers : %{ &quot;Authorization&quot; =&gt; &quot;Basic XXX==&quot; } ) Specifying Tesla adapter specific options The keyword list provided under the request_opts options, will be passed as the opts option value to the Tesla.request/2 function. This allows for example to set the timeout value for the Hackney adapter like this: SPARQL.Client . query ( query , &quot;http://example.com/sparql&quot; , request_opts : [ adapter : [ recv_timeout : 30_000 ] ] ) Other options max_redirects : the number of redirects to follow before the operation fails (default: 5 ) logger : allows to enable and configure the Tesla.Middleware.Logger by either setting it true or providing the Tesla.Middleware.Logger options (default: false ) Application configuration of default values Several default values for the options of the operations can be configured via the Mix application environment. Here's an example configuration showing all available configuration options: config :sparql_client , protocol_version : &quot;1.1&quot; , query_request_method : :get , update_request_method : :directly , query_result_format : %{ select : :json , ask : :json , construct : :turtle , describe : :turtle } , http_headers : %{ &quot;Authorization&quot; =&gt; &quot;Basic YWxhZGRpbjpvcGVuc2VzYW1l&quot; } , tesla_request_opts : [ adapter : [ recv_timeout : 30_000 ] ] , max_redirects : 3 , raw_mode : true The http_headers can also be set to a function receiving the SPARQL.Client.Request struct and the computed default headers: defmodule SomeModule do def http_header_config ( request , _headers ) do if request . sparql_operation_type == SPARQL.Client.Update do %{ &quot;Authorization&quot; =&gt; &quot;Basic YWxhZGRpbjpvcGVuc2VzYW1l&quot; } else %{ } end end config :sparql_client , http_headers : &amp; SomeModule . http_header_config / 2 ,","ref":"SPARQL.Client.html","title":"SPARQL.Client","type":"module"},{"doc":"Executes a SPARQL ADD update operation against a service endpoint. The source graph must be specified with the :graph option and the destination graph with the :to option either as a string, RDF.IRI , vocabulary namespace term for the graph name or :default for the default graph. SPARQL.Client . add ( &quot;http://example.com/sparql&quot; , from : &quot;http://example.com/Graph1&quot; , to : &quot;http://example.com/Graph2&quot; ) SPARQL.Client . add ( &quot;http://example.com/sparql&quot; , from : :default , to : EX.Graph ) The update operation can be run in SILENT mode by setting the :silent option to true . See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#add/2","title":"SPARQL.Client.add/2","type":"function"},{"doc":"Executes a SPARQL ADD update operation against a service endpoint. This version only allows execution of ADD updates given as string in raw-mode (see the module documentation for more information on the raw-mode). &quot;ADD GRAPH &lt;http://example.com/Graph1&gt; TO GRAPH &lt;http://example.com/Graph2&gt;&quot; |&gt; SPARQL.Client . add ( &quot;http://example.com/sparql&quot; , raw_mode : true ) See add/2 for how to execute a ADD update with an automatically build update string. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#add/3","title":"SPARQL.Client.add/3","type":"function"},{"doc":"Executes a SPARQL ASK query operation against a service endpoint. See documentation of the generic query/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#ask/3","title":"SPARQL.Client.ask/3","type":"function"},{"doc":"Executes a SPARQL CLEAR update operation against a service endpoint. The graph name must be specified with the :graph option either as a string, RDF.IRI , vocabulary namespace term or one of the special values :default , :named , :all . SPARQL.Client . clear ( &quot;http://example.com/sparql&quot; , graph : &quot;http://example.com/Graph&quot; ) SPARQL.Client . clear ( &quot;http://example.com/sparql&quot; , graph : EX.Graph ) The update operation can be run in SILENT mode by setting the :silent option to true . See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#clear/2","title":"SPARQL.Client.clear/2","type":"function"},{"doc":"Executes a SPARQL CLEAR update operation against a service endpoint. This version only allows execution of CLEAR updates given as string in raw-mode (see the module documentation for more information on the raw-mode). &quot;CLEAR &lt;http://example.com/Graph&gt;&quot; |&gt; SPARQL.Client . clear ( &quot;http://example.com/sparql&quot; , raw_mode : true ) See clear/2 for how to execute a CLEAR update with an automatically build update string. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#clear/3","title":"SPARQL.Client.clear/3","type":"function"},{"doc":"Executes a SPARQL CONSTRUCT query operation against a service endpoint. See documentation of the generic query/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#construct/3","title":"SPARQL.Client.construct/3","type":"function"},{"doc":"Executes a SPARQL COPY update operation against a service endpoint. The source graph must be specified with the :graph option and the destination graph with the :to option either as a string, RDF.IRI , vocabulary namespace term for the graph name or :default for the default graph. SPARQL.Client . copy ( &quot;http://example.com/sparql&quot; , from : &quot;http://example.com/Graph1&quot; , to : &quot;http://example.com/Graph2&quot; ) SPARQL.Client . copy ( &quot;http://example.com/sparql&quot; , from : :default , to : EX.Graph ) The update operation can be run in SILENT mode by setting the :silent option to true . See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#copy/2","title":"SPARQL.Client.copy/2","type":"function"},{"doc":"Executes a SPARQL COPY update operation against a service endpoint. This version only allows execution of COPY updates given as string in raw-mode (see the module documentation for more information on the raw-mode). &quot;COPY GRAPH &lt;http://example.com/Graph1&gt; TO GRAPH &lt;http://example.com/Graph2&gt;&quot; |&gt; SPARQL.Client . copy ( &quot;http://example.com/sparql&quot; , raw_mode : true ) See copy/2 for how to execute a COPY update with an automatically build update string. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#copy/3","title":"SPARQL.Client.copy/3","type":"function"},{"doc":"Executes a SPARQL CREATE update operation against a service endpoint. The graph name must be specified with the :graph option either as a string, RDF.IRI , vocabulary namespace term or one of the special values :default , :named , :all . SPARQL.Client . create ( &quot;http://example.com/sparql&quot; , graph : &quot;http://example.com/Graph&quot; ) SPARQL.Client . create ( &quot;http://example.com/sparql&quot; , graph : EX.Graph ) The update operation can be run in SILENT mode by setting the :silent option to true . See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#create/2","title":"SPARQL.Client.create/2","type":"function"},{"doc":"Executes a SPARQL CREATE update operation against a service endpoint. This version only allows execution of CREATE updates given as string in raw-mode (see the module documentation for more information on the raw-mode). &quot;CREATE &lt;http://example.com/Graph&gt;&quot; |&gt; SPARQL.Client . create ( &quot;http://example.com/sparql&quot; , raw_mode : true ) See create/2 for how to execute a CREATE update with an automatically build update string. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#create/3","title":"SPARQL.Client.create/3","type":"function"},{"doc":"Executes a SPARQL DELETE update operation against a service endpoint. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#delete/3","title":"SPARQL.Client.delete/3","type":"function"},{"doc":"Executes a SPARQL DELETE DATA update operation against a service endpoint. The DELETE DATA update can either be given as string (only in raw-mode; see the module documentation for more information on the raw-mode) or by providing the data to be deleted directly via an RDF.ex data structure ( RDF.Graph , RDF.Description or RDF.Dataset ). RDF.Graph . new ( { EX.S , EX . p , EX.O } ) |&gt; SPARQL.Client . delete_data ( &quot;http://example.com/sparql&quot; ) See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#delete_data/3","title":"SPARQL.Client.delete_data/3","type":"function"},{"doc":"Executes a SPARQL DESCRIBE query operation against a service endpoint. See documentation of the generic query/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#describe/3","title":"SPARQL.Client.describe/3","type":"function"},{"doc":"Executes a SPARQL DROP update operation against a service endpoint. The graph name must be specified with the :graph option either as a string, RDF.IRI , vocabulary namespace term or one of the special values :default , :named , :all . SPARQL.Client . drop ( &quot;http://example.com/sparql&quot; , graph : &quot;http://example.com/Graph&quot; ) SPARQL.Client . drop ( &quot;http://example.com/sparql&quot; , graph : EX.Graph ) The update operation can be run in SILENT mode by setting the :silent option to true . See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#drop/2","title":"SPARQL.Client.drop/2","type":"function"},{"doc":"Executes a SPARQL DROP update operation against a service endpoint. This version only allows execution of DROP updates given as string in raw-mode (see the module documentation for more information on the raw-mode). &quot;DROP &lt;http://example.com/Graph&gt;&quot; |&gt; SPARQL.Client . drop ( &quot;http://example.com/sparql&quot; , raw_mode : true ) See drop/2 for how to execute a DROP update with an automatically build update string. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#drop/3","title":"SPARQL.Client.drop/3","type":"function"},{"doc":"Executes a SPARQL INSERT update operation against a service endpoint. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#insert/3","title":"SPARQL.Client.insert/3","type":"function"},{"doc":"Executes a SPARQL INSERT DATA update operation against a service endpoint. The INSERT DATA update can either be given as string (only in raw-mode; see the module documentation for more information on the raw-mode) or by providing the data to be inserted directly via an RDF.ex data structure ( RDF.Graph , RDF.Description or RDF.Dataset ). RDF.Graph . new ( { EX.S , EX . p , EX.O } ) |&gt; SPARQL.Client . insert_data ( &quot;http://example.com/sparql&quot; ) See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#insert_data/3","title":"SPARQL.Client.insert_data/3","type":"function"},{"doc":"Executes a SPARQL LOAD update operation against a service endpoint. The URL from to be loaded must be specified with the :from option. The graph name to which the data should be loaded can be given with the :to option. Both options expect an URI as a value which can be given as a string, RDF.IRI or vocabulary namespace term. SPARQL.Client . load ( &quot;http://example.com/sparql&quot; , from : &quot;http://example.com/Resource&quot; ) SPARQL.Client . load ( &quot;http://example.com/sparql&quot; , from : EX.Resource , to : EX.Graph ) The update operation can be run in SILENT mode by setting the :silent option to true . See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#load/2","title":"SPARQL.Client.load/2","type":"function"},{"doc":"Executes a SPARQL LOAD update operation against a service endpoint. This version only allows execution of LOAD update given as string in raw-mode (see the module documentation for more information on the raw-mode). &quot;LOAD &lt;http://example.com/Resource&gt;&quot; |&gt; SPARQL.Client . load ( &quot;http://example.com/sparql&quot; , raw_mode : true ) See load/2 for how to execute a LOAD update with an automatically build update string. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#load/3","title":"SPARQL.Client.load/3","type":"function"},{"doc":"Executes a SPARQL MOVE update operation against a service endpoint. The source graph must be specified with the :graph option and the destination graph with the :to option either as a string, RDF.IRI , vocabulary namespace term for the graph name or :default for the default graph. SPARQL.Client . move ( &quot;http://example.com/sparql&quot; , from : &quot;http://example.com/Graph1&quot; , to : &quot;http://example.com/Graph2&quot; ) SPARQL.Client . move ( &quot;http://example.com/sparql&quot; , from : :default , to : EX.Graph ) The update operation can be run in SILENT mode by setting the :silent option to true . See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#move/2","title":"SPARQL.Client.move/2","type":"function"},{"doc":"Executes a SPARQL MOVE update operation against a service endpoint. This version only allows execution of MOVE updates given as string in raw-mode (see the module documentation for more information on the raw-mode). &quot;MOVE GRAPH &lt;http://example.com/Graph1&gt; TO GRAPH &lt;http://example.com/Graph2&gt;&quot; |&gt; SPARQL.Client . move ( &quot;http://example.com/sparql&quot; , raw_mode : true ) See move/2 for how to execute a MOVE update with an automatically build update string. See documentation of the generic update/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#move/3","title":"SPARQL.Client.move/3","type":"function"},{"doc":"Executes any form of a SPARQL query operation against a service endpoint. The query can either be given as string or as an already parsed SPARQL.Query . &quot;SELECT * WHERE { ?s ?p ?o }&quot; |&gt; SPARQL.Client . query ( query , &quot;http://dbpedia.org/sparql&quot; ) with % SPARQL.Query { } = query &lt;- SPARQL.Query . new ( &quot;SELECT * WHERE { ?s ?p ?o }&quot; ) do SPARQL.Client . query ( query , &quot;http://dbpedia.org/sparql&quot; ) end For the execution of queries in raw-mode see the module documentation The result is in the success case returned in a :ok tuple or in error cases in an :error tuple with an error message or in case of a non-200 response by the SPARQL service with a SPARQL.Client.HTTPError . The type of the result returned depends on the query form: SELECT queries will return a SPARQL.Query.Result struct ASK queries will return a SPARQL.Query.Result struct with the boolean result in the results field CONSTRUCT and DESCRIBE queries will return an RDF data structure Specifying the request method The SPARQL 1.1 protocol spec defines three methods to perform a SPARQL query operation via HTTP, which can be specified via the request_method and protocol_version options: query via GET: by setting the options as request_method: :get and protocol_version: &quot;1.1&quot; query via URL-encoded POST: by setting the options as request_method: :post and protocol_version: &quot;1.0&quot; query via POST directly: by setting the options as request_method: :post and protocol_version: &quot;1.1&quot; In order to work with SPARQL 1.0 services out-of-the-box the second method, query via URL-encoded POST, is the default. To perform previous query via GET, you would have to call it like this: SPARQL.Client . query ( query , &quot;http://dbpedia.org/sparql&quot; , request_method : :get , protocol_version : &quot;1.1&quot; ) Specifying the response format The SPARQL.Client can handle all of the specified result formats for SPARQL tuple results (JSON, XML, CSV and TSV) and for CONSTRUCT and DESCRIBE queries all RDF serialization formats supported by RDF.ex can be handled. If no custom Accept header is specified, all accepted formats for the resp. query form will be set automatically, with JSON being the preferred format for SELECT and ASK queries Turtle being the preferred format for CONSTRUCT and DESCRIBE queries Although the returned result is mostly independent from the actually returned response format from the service, you might want to set it manually with the result_format and the name of the format SPARQL.Client . query ( query , &quot;http://some.company.org/private/sparql&quot; , result_format : :xml ) These are the names of the supported formats: tuple result formats: :json, :xml, :csv, :tsv RDF result formats: :turtle, :ntriples, :nquads, :jsonld When a result_format is specified the Accept header is set to the corresponding media type. You might however still want to overwrite the Accept header, for example when a SPARQL service uses a non-standard media type for a format. Note that, when providing a custom non-standard Accept header the result_format option is mandatory. Specifying an RDF Dataset The RDF dataset to be queried can be specified as described in the spec via the the default_graph and named_graph options and either a single graph name or lists of graphs. SPARQL.Client . query ( query , &quot;http://some.company.org/private/sparql&quot; , default_graph : &quot;http://www.example/sparql/&quot; , named_graph : [ &quot;http://www.other.example/sparql/&quot; , &quot;http://www.another.example/sparql/&quot; ] )","ref":"SPARQL.Client.html#query/3","title":"SPARQL.Client.query/3","type":"function"},{"doc":"Executes a SPARQL SELECT query operation against a service endpoint. See documentation of the generic query/3 function and the module documentation for the available options.","ref":"SPARQL.Client.html#select/3","title":"SPARQL.Client.select/3","type":"function"},{"doc":"Executes any form of a SPARQL update operation against a service endpoint. In case of this generic function, updates can be given only as string and executed in raw-mode (see the module documentation for a description of the raw-mode) &quot;&quot;&quot; PREFIX dc: &lt;http://purl.org/dc/elements/1.1/&gt; PREFIX xsd: &lt;http://www.w3.org/2001/XMLSchema#&gt; INSERT { GRAPH &lt;http://example/bookStore2&gt; { ?book ?p ?v } } WHERE { GRAPH &lt;http://example/bookStore&gt; { ?book dc:date ?date . FILTER ( ?date &gt; &quot;1970-01-01T00:00:00-02:00&quot;^^xsd:dateTime ) ?book ?p ?v } } &quot;&quot;&quot; |&gt; SPARQL.Client . update ( &quot;http://example.com/sparql&quot; , raw_mode : true ) The result for all updates is either :ok or an :error tuple in error cases with an error message or in case of a non-2XX response by the SPARQL service with a SPARQL.Client.HTTPError . Specifying the request method The SPARQL 1.1 protocol spec defines two methods to perform a SPARQL update operation via HTTP, which can be specified via the request_method option: Update via URL-encoded POST: by setting the options request_method: :url_encoded Update via POST directly: by setting the options request_method: :direct (default)","ref":"SPARQL.Client.html#update/3","title":"SPARQL.Client.update/3","type":"function"},{"doc":"A struct representing a HTTP request of a SPARQL protocol operation. For now, you won't have to deal with this struct that much. You'll encounter it only as a member of a SPARQL.Client.HTTPError or when writing a custom config function for the HTTP headers (see documentation of the configuration options for SPARQL.Client ).","ref":"SPARQL.Client.Request.html","title":"SPARQL.Client.Request","type":"module"},{"doc":"","ref":"SPARQL.Client.Request.html#t:http_method/0","title":"SPARQL.Client.Request.http_method/0","type":"type"},{"doc":"","ref":"SPARQL.Client.Request.html#t:protocol_version/0","title":"SPARQL.Client.Request.protocol_version/0","type":"type"},{"doc":"","ref":"SPARQL.Client.Request.html#t:t/0","title":"SPARQL.Client.Request.t/0","type":"type"},{"doc":"Exception returned when a HTTP request of a SPARQL protocol operation fails with a non-2XX status. The SPARQL.Client.Request is included in the exception struct in the :request field.","ref":"SPARQL.Client.HTTPError.html","title":"SPARQL.Client.HTTPError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"SPARQL.Client.HTTPError.html#message/1","title":"SPARQL.Client.HTTPError.message/1","type":"function"},{"doc":"All notable changes to this project will be documented in this file. This project adheres to Semantic Versioning and Keep a CHANGELOG .","ref":"changelog.html","title":"Change Log","type":"extras"},{"doc":"With the latest SPARQL.ex version 0.3.7, RDF-star and SPARQL-star results can be handled now. Elixir versions &lt; 1.10 are no longer supported Added general :logger option on all SPARQL.Client functions (instrumenting the Tesla.Middleware.Logger ) Changed In consistency with the change in RDF.ex 0.10 to longer support automatic merges of RDF.Dataset s, the :merge_graphs option is no longer supported on the SPARQL.Client.insert_data/3 and SPARQL.Client.delete_data/3 functions. Compare v0.3.1...v0.4.0","ref":"changelog.html#v0-4-0-2022-03-22","title":"Change Log - v0.4.0 - 2022-03-22","type":"extras"},{"doc":"Added support for RDF-XML for graph results Compare v0.3.0...v0.3.1","ref":"changelog.html#v0-3-1-2020-11-27","title":"Change Log - v0.3.1 - 2020-11-27","type":"extras"},{"doc":"Elixir versions &lt; 1.9 are no longer supported Added raw-mode with the :raw_mode option, which allows disabling of the processing of query strings, passing them through as-is to the SPARQL endpoint support for INSERT DATA and DELETE DATA updates with SPARQL.Client.insert_data/3 and SPARQL.Client.delete_data/3 which are able to handle all types RDF.ex datastructures ( RDF.Description , RDF.Graph , RDF.Dataset ) directly support for LOAD updates with SPARQL.Client.load/2 support for CLEAR updates with SPARQL.Client.clear/2 support for all graph management operations with SPARQL.Client.create/2 SPARQL.Client.drop/2 SPARQL.Client.copy/2 SPARQL.Client.move/2 SPARQL.Client.add/2 the defaults for several options can now be configured globally via the application environment; please refer to the SPARQL.Client documentation for more information Changed the default request method for queries when using SPARQL protocol version 1.1 is now :get improved error handling Fixed the default HTTP Accept header used when no :result_form was provided on SPARQL.Client.query/3 contained a typo Compare v0.2.2...v0.3.0","ref":"changelog.html#v0-3-0-2020-09-21","title":"Change Log - v0.3.0 - 2020-09-21","type":"extras"},{"doc":"Added the request_opts options to SPARQL.Client.query/3 which will be passed as the opts option value to the Tesla.request/2 function Compare v0.2.1...v0.2.2","ref":"changelog.html#v0-2-2-2019-05-22","title":"Change Log - v0.2.2 - 2019-05-22","type":"extras"},{"doc":"Fixed Update to SPARQL.ex 0.2.1 whose Hex package no longer contains Erlang output files of Leex and Yecc, which caused issues using the SPARQL.ex Hex package on OTP &lt; 21 (because the package was released with OTP 21) Compare v0.2.0...v0.2.1","ref":"changelog.html#v0-2-1-2018-09-17","title":"Change Log - v0.2.1 - 2018-09-17","type":"extras"},{"doc":"Changed adapt to new query result representation in SPARQL.ex 0.2 Elixir versions &lt; 1.6 are no longer supported (as a consequence of upgrading to the latest versions of RDF.ex and SPARQL.ex) Compare v0.1.1...v0.2.0","ref":"changelog.html#v0-2-0-2018-09-17","title":"Change Log - v0.2.0 - 2018-09-17","type":"extras"},{"doc":"Upgrade to Tesla 1.1 Compare v0.1.0...v0.1.1","ref":"changelog.html#v0-1-1-2018-08-21","title":"Change Log - v0.1.1 - 2018-08-21","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2018-03-19","title":"Change Log - v0.1.0 - 2018-03-19","type":"extras"}]